#include "framespan.h"

#include "trackedobject.h"

FrameSpan::FrameSpan(TrackedObject* obj, Type t, int prev, int next) :
    QObject(obj),
    object(obj),
    type(t),
    prevFrame(prev),
    nextFrame(next)
{

}

void FrameSpan::setType(FrameSpan::Type t)
{
    type = t;
    emit hasChanged(TypeChange);
}

